Package com.snowbound.rastermaster

## Class SnowDocFilter

- java.lang.Object
- - Snow.FormatFilter
  - - com.snowbound.rastermaster.SnowDocFilter

-     public abstract class SnowDocFilter
      extends Snow.FormatFilter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SnowDocFilter()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `decompressImage​(int pageNum, Snowbnd snow, Snow.SnbdFileio fh, java.lang.String extension)` |
    `byte[]` | `extractText​(Snowbnd snow, Snow.SnbdFileio fh, int pageNum, int[] length, int[] error, int formatCode)` |
    `int` | `getPages​(Snow.SnbdFileio fh, Snowbnd snow, java.lang.String extension)` |
    `protected abstract SnowDoc` | `setupDoc​(Snow.SnbdFileio fh, Snowbnd snow)` |

    - ### Methods inherited from class Snow.FormatFilter

      `append_pdf_page, append_pdf_page, delete_pdf_page, docinfo_details, extract_pdf_page, extract_rotated_pdf_page, getAttachment, getAttachmentInfo, hasText, IMGLOW_page_image_count, isAcroForm, page_get_link_annot_count, page_get_links, page_get_multiple_image_overlap, page_get_one_image_overlap, page_image_count, page_is_image, page_is_jpeg_image`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnowDocFilter

          public SnowDocFilter()

  - ### Method Detail

    - #### decompressImage

          public int decompressImage​(int pageNum,
                                     Snowbnd snow,
                                     Snow.SnbdFileio fh,
                                     java.lang.String extension)

      Specified by:
        `decompressImage` in class `Snow.FormatFilter`
        `extension` - - seemingly redundant, and usually ignored but necessary for some multi-format filters such as ooxml
      Returns:

    - #### getPages

          public int getPages​(Snow.SnbdFileio fh,
                              Snowbnd snow,
                              java.lang.String extension)

      Specified by:
        `getPages` in class `Snow.FormatFilter`
        `extension` - TODO
      Returns:

    - #### extractText

          public byte[] extractText​(Snowbnd snow,
                                    Snow.SnbdFileio fh,
                                    int pageNum,
                                    int[] length,
                                    int[] error,
                                    int formatCode)

      Specified by:
        `extractText` in class `Snow.FormatFilter`
      Returns:

    - #### setupDoc

          protected abstract SnowDoc setupDoc​(Snow.SnbdFileio fh,
                                              Snowbnd snow)
                                       throws com.snowbound.rastermaster.exceptions.SnowException

      Throws:
        `com.snowbound.rastermaster.exceptions.SnowException`